## gwama 2.1+dfsg

=== Makefile ===
#GWAMA program

VERSION = 2.7

CC = g++

DEBUGFLAGS = -Wno-deprecated -O3

GWAMA:	main.cpp

	g++ main.cpp marker.cpp statistics.cpp study.cpp chisquaredistr.cpp normaldistr.cpp gammaf.cpp igammaf.cpp ap.cpp global.cpp problem.cpp tools.cpp cohort.cpp commandLine.cpp readFile.cpp $(DEBUGFLAGS) -o GWAMA

=== debian/changelog ===
gwama (2.1+dfsg-2) unstable; urgency=medium

  * Improve debian/copyright
  * Fix autopkgtest

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 24 Dec 2014 07:16:57 +0100

gwama (2.1+dfsg-1) unstable; urgency=low

  * Initial Debian Release. (Closes: #770143)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 19 Nov 2014 07:39:06 +0100

=== debian/control ===
Source: gwama
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Build-Depends: debhelper (>= 9),
 zlib1g-dev
Testsuite: autopkgtest
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/gwama.git
Vcs-Git: git://anonscm.debian.org/debian-med/gwama.git
Homepage: http://www.well.ox.ac.uk/gwama/

Package: gwama
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Genome-Wide Association Meta Analysis
 GWAMA (Genome-Wide Association Meta Analysis) software performs
 meta-analysis of the results of GWA studies of binary or
 quantitative phenotypes. Fixed- and random-effect meta-analyses are
 performed for both directly genotyped and imputed SNPs using
 estimates of the allelic odds ratio and 95% confidence interval for
 binary traits, and estimates of the allelic effect size and standard
 error for quantitative phenotypes. GWAMA can be used for analysing
 the results of all different genetic models (multiplicative,
 additive, dominant, recessive). The software incorporates error
 trapping facilities to identify strand alignment errors and allele
 flipping, and performs tests of heterogeneity of effects between studies.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux gwama package

# Don't override the upstream FLAG -O3
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS 2>/dev/null | sed -e 's/-O2//g')

%:
	dh $@

override_dh_auto_build:
	# Don't override the upstream FLAG -O3
	make CXXFLAGS="$(CXXFLAGS)"

override_dh_installchangelogs:
	# Install upstream log2.txt file as changelog
	dh_installchangelogs debian/upstream.docs/log2.txt

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
 http://www.well.ox.ac.uk/gwama/download.shtml gwama(\d\S*)\.zip

## gwama 2.2.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 CC = g++
 
-DEBUGFLAGS = -Wno-deprecated -O3
+DEBUGFLAGS = -Wno-deprecated -O3 -lz
 
 GWAMA:	main.cpp

=== debian/changelog ===
gwama (2.2.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1044305
  * Fix Homepage
  * Point watch file to new location
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Dec 2024 18:45:55 +0100

gwama (2.2.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Upstream homepage vanished - pomt watch file to general download page
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 14:28:31 +0100

gwama (2.2.2+dfsg-4) unstable; urgency=medium

  * Use right variable CXX for g++ rathter than CC
  * d/rules: Use dh_auto_build rather than hardcoding $(MAKE)
    - The above two changes fix non-crossbuildability
  * Add myself to uploaders
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Feb 2021 20:57:02 +0530

gwama (2.2.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 10:19:35 +0100

gwama (2.2.2+dfsg-2) unstable; urgency=medium

  * Add registry references.
  * cme fix dpkg-control/copyright.
  * Bump Policy to 4.1.4 (no change needed).
  * Switch from http to https at various places.
  * Remove useless "Testsuite: autopkgtest".
  * Bump debhelper compat to 11.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 25 May 2018 21:55:06 +0200

gwama (2.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use secure VCS URIs.
  * Bump Policy to 3.9.8 (no change needed).
  * Add a patch to fix spelling-error-in-binary.
  * Set all hardening options.
  * Update uscan options.
  * Update upstream website.
  * Drop d/p/02_Fix_license_issue.patch fixed upstream.
  * Update autopkgtest to reflect some upstream changes.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 22 Aug 2016 23:46:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: gwama
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>,
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 9),
- zlib1g-dev
-Testsuite: autopkgtest
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/gwama.git
-Vcs-Git: git://anonscm.debian.org/debian-med/gwama.git
-Homepage: http://www.well.ox.ac.uk/gwama/
+Build-Depends: debhelper-compat (= 13),
+               zlib1g-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/med-team/gwama
+Vcs-Git: https://salsa.debian.org/med-team/gwama.git
+Homepage: https://genomics.ut.ee/en/tools
+Rules-Requires-Root: no
 
 Package: gwama
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Genome-Wide Association Meta Analysis
  GWAMA (Genome-Wide Association Meta Analysis) software performs
  meta-analysis of the results of GWA studies of binary or

=== debian/tests/control ===
Tests: run-sample-analysis
Depends: @

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://www.geenivaramu.ee/tools/GWAMA_v(\d\S*)\.zip
